lprint-add(1)

NAME
lprint-add - add a printer queue.

SYNOPSIS
lprint add [ -u SYSTEM-URI ] -d PRINTER -m DRIVER-NAME -v DEVICE-URI [ -o OPTION=VALUE ]

DESCRIPTION
This command creates a label printer queue using the specified name, driver, and driver.

OPTIONS
The following options are recognized by lprint add:

-d PRINTER
    Specifies the name of the printer queue.

-m DRIVER-NAME
    Specifies the name of the printer driver. See lprint-drivers(1) for the command to list the available printer drivers.

-o OPTION=VALUE
    Specifies the default value for the given option name. See lprint-submit(1) for a list of supported options.

-o label-mode-configured=VALUE
    Specifies the label printing mode: "applicator", "cutter", "cutter-delayed", "kiosk", "peel-off", "peel-off-prepeel", "rewind", "rfid", or "tear-off".

-o label-tear-offset-configured=NNNin

-o label-tear-offset-configured=NNNmm
    Specifies the label tear-off offset in inches ("NNNin") or millimeters ("NNNmm").

-o printer-darkness=NNN
    Specifies the base darkness setting for all print jobs as a percentage. 0 represents the lightest printing while 100 represents the darkest printing.

-o printer-geo-location=geo:=LATLON
    Specifies the geographic location of the printer as a "geo:" URI.

-o printer-location=LOCATION
    Specifies the human-readable location, for example "Rack 42".

-o printer-organization=ORGANIZATION
    Specifies the organization name, for example "Acme, Inc.".

-o printer-organizational-unit=UNIT
    Specifies the organizational unit, for example "Shipping Department".

-u SYSTEM-URI
    Specifies a remote LPrint server to use. The "SYSTEM-URI" is of the form "ipps://HOSTNAME:PORT/ipp/system".

-v DEVICE-URI
    Specifies the device for the printer queue. The value can be a socket: URI such as "socket://11.22.33.44" or a usb: URI as listed by the lprint-devices(1) command.

SEE ALSO
lprint(1), lprint-delete(1), lprint-devices(1), lprint-drivers(1), lprint-modify(1), lprint-options(1), lprint-submit(1)

COPYRIGHT
Copyright © 2019-2021 by Michael R Sweet.